import { IsNotEmpty, IsUUID } from 'class-validator';
import { balanceType, coaType } from 'src/helper/enum-list';
import { User } from 'src/users/entities/user.entity';
import { EntityManager } from 'typeorm';

export class InputCoaDto {
  @IsUUID()
  user: User;

  @IsNotEmpty()
  type: coaType;

  @IsNotEmpty()
  balanceType: balanceType;

  @IsUUID()
  relatedUserId: string;

  @IsNotEmpty()
  coaEntityManager: EntityManager;
}
